org.apache.olingo.odata2.jpa.processor.api.model.mapping

## Class JPAAttributeMapType.JPAAttribute

- java.lang.Object
- - org.apache.olingo.odata2.jpa.processor.api.model.mapping.JPAAttributeMapType.JPAAttribute

- Enclosing class:
    JPAAttributeMapType

      public static class JPAAttributeMapType.JPAAttribute
      extends Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
       <simpleContent>
       <extension base="<http://www.w3.org/2001/XMLSchema>string">
       <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
       <attribute name="exclude" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
       </extension>
       </simpleContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Boolean` | `exclude`
    `protected String` | `name`
    `protected String` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JPAAttribute()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Gets the value of the name property.
    `String` | `getValue()` Gets the value of the value property.
    `boolean` | `isExclude()` Gets the value of the exclude property.
    `void` | `setExclude(Boolean value)` Sets the value of the exclude property.
    `void` | `setName(String value)` Sets the value of the name property.
    `void` | `setValue(String value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          protected String value

    - #### name

          protected String name

    - #### exclude

          protected Boolean exclude

  - ### Constructor Detail

    - #### JPAAttribute

          public JPAAttribute()

  - ### Method Detail

    - #### getValue

          public String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`

    - #### getName

          public String getName()

      Gets the value of the name property.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

    - #### isExclude

          public boolean isExclude()

      Gets the value of the exclude property.
      Returns:
        possible object is `Boolean`

    - #### setExclude

          public void setExclude(Boolean value)

      Sets the value of the exclude property.
      Parameters:
        `value` - allowed object is `Boolean`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.